-- NMAS Schema Definitions
-- Novell Inc.
-- 1800 South Novell Place
-- Provo, UT 84606
--
-- Version=AUTHSAML 2004 24 09
-- Copyright=(c) Copyright 2004, Novell, Inc.  All rights reserved
--
-- Object ID (OID) is registered with Internal Schema Registration
-- as of 15 Jan 1997.
--
-- OIDs Defined as Follows:
--   joint-iso-ccitt(2) country(16) us(840) organization(1)
--   Novell(113719) applications(1) SAS(39) NMAS(42)
--                      MethodIDNumber(36)
--                      SASFAttributeType(1) version# attr#         
--                      SASFObjectClass(2)   version# class# 

AUTHSAMLSchemaExtentions DEFINITIONS ::=
BEGIN

-- --------------------------------
-- SAS:NMAS Login Method Attributes
-- --------------------------------

-- --------------------------------
-- authsamlAffiliate attributes
-- --------------------------------

-- --------------------------------
-- The provider ID for a SAML affiliate.
-- --------------------------------
"authsamlProviderID" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_CE_STRING,
    Flags       {DS_SERVER_READ, DS_SINGLE_VALUED_ATTR},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 1}
}

-- --------------------------------
-- The number of seconds before the current system time 
-- that an assertion will be considered valid.
-- --------------------------------
"authsamlValidBefore" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_INTEGER,
    Flags       {DS_SERVER_READ, DS_SINGLE_VALUED_ATTR},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 2}
}

-- --------------------------------
-- The number of seconds after the current system time 
-- that an assertion will lbe considered valid.
-- --------------------------------
"authsamlValidAfter" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_INTEGER,
    Flags       {DS_SERVER_READ, DS_SINGLE_VALUED_ATTR},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 3}
}

-- --------------------------------
-- Multi-valued attribute which points to certificates that are
-- explicitly trusted by an affiliate. 
-- --------------------------------
"authsamlTrustedCertDN" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_DIST_NAME,
    Flags       {DS_SERVER_READ},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 4}
}

-- --------------------------------
-- The DN of a trusted root container that contains certificates
-- which will be used to validate the certificate chain of signing
-- certificates.
-- --------------------------------
"authsamlCertContainerDN" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_DIST_NAME,
    Flags       {DS_SERVER_READ, DS_SINGLE_VALUED_ATTR},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 5}
}

-- --------------------------------
-- Do CRL checking unless this value is true.
-- --------------------------------
"authsamlCheckCRL" ATTRIBUTE ::=
{
    Operation   ADD,
    SyntaxID    SYN_BOOLEAN,
    Flags       {DS_SERVER_READ, DS_SINGLE_VALUED_ATTR},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 1 1 6}
}

-- --------------------------------
-- authsamlAttrMap attributes
-- --------------------------------

-- -------------------
-- Class Definitions
-- -------------------

"authsamlAffiliate" OBJECT-CLASS ::=
{
    Operation   ADD,
    Flags       {DS_EFFECTIVE_CLASS},
    SubClassOf  {"Top"},
    ContainedBy {"SAS:NMAS Login Method"},
    NamedBy     {"CN"},
    MustContain {"CN"},
    MayContain  {"authsamlProviderID",
                "authsamlValidBefore",
                "authsamlValidAfter",
                "authsamlTrustedCertDN",
                "authsamlCertContainerDN",
                "authsamlCheckCRL"},
    ASN1ObjID   {2 16 840 1 113719 1 39 42 36 2 1 1}
}

END
